@import "../../core/css/vars.less";
@import "./background.less";
@import "./plot-modal.less";
@assets: "../../../assets";

.relative{
	position: relative;
	width: 100%;
	height: 100%;
}

*{
	user-select: none;
}

#GUI-bg{
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	pointer-events: none;
	z-index: -10;
}

#GUI{
	font-family: "Courgette";
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	pointer-events: none;
	color: @text-color-panels;
	font-size: 24px;

	h2{
		font-size: 32px;
	    font-weight: bold;
	    letter-spacing: 2px;
	    margin: 0;
	    padding: 0;
	}

	.panel, .circle-btn{
		pointer-events: all;
	}

	.btn{
		display: inline-block;
		cursor: pointer;
		text-transform: uppercase;
	}
	.btn:hover{
		font-weight: bold;
	}

	#top-infos{
		width: 750px;
		height: 30px;
		position: absolute;
		left: 50%;
		transform: translateX(-50%);
		font-size: 18px;

		.info, .info-label, .info-value {
			display: inline-block;
			vertical-align: middle;
		}

		.info[info-type="coins"]{
			position: absolute;
		right: 0;
		top: 50%;
		transform: translateY(-50%);
		}

		.info[info-type="hour"]{
			position: relative;
			width: 45px;
			height: 30px;
			vertical-align: middle;
			overflow: hidden;
			top: -2px;
			margin-right: 20px;

			#clock{
				position: absolute;
				width: 100%;
				top: 2px;
			}

			#clock-frame{
				position: absolute;
				width: 100%;
				top: 2px;
			}
		}

		#time-controls{
			position: absolute;
    	top: 100%;
			left: 0;
			font-size: 0;
			
			.panel {
				width: 30px;
				height: 15px;
				display: inline-block;
				text-align: center;
				cursor: pointer;

				img {
					width: auto;
				}
			}
		}
	}

	#sidePanel{
		z-index: 2;
		position: absolute;
		width: 400px;
		height: 80vh;
		top: 10vh;
		left: 0;
		transition: left 0.3s;
		font-size: 24px;
	}
	#sidePanel.collapsed{
		left: -400px;
	}

	#sidePanel-content-container{
		width: 100%;
		height: 100%;
		box-sizing: border-box;
	}

	.sidePanel-content{
		height: calc(100% - 30px);

		#inventory-menu{
			text-align: center;
			position: relative;
			z-index: 10;
			margin-bottom: 20px;
		}

		#inventory-content{
			line-height: 1;
			text-align: center;
			height: calc(100% - 128px);

			.slot{
				display: inline-block;
				vertical-align: top;
				margin: 2.5px;
			}
		}
	}

	.sidePanel-content-title{
		font-size: 30px;
		font-weight: bold;
		text-align: center;
		text-transform: uppercase;
		margin: 15px;
	}

	#sidePanel-selecters{
		position: absolute;
		width: 100px;
		top: 0;
		right: -100px;

		.sidePanel-selecter{
			position: relative;
			left: 0px;
			transition: 0.1s;
			margin: 10px;
		}
		.sidePanel-selecter:hover{
			padding-left: 30px
		}

		// .sidePanel-selecter.inventory{
		// 	background-image: url("@{assets}/GUI/inventory_button.png");
		// }
		// .sidePanel-selecter.shop{
		// 	background-image: url("@{assets}/GUI/shop_button.png");
		// }
	}

	#hotbar{
		position: absolute;
		bottom: 5vh;
		left: 50%;
		transform: translateX(-50%);
		width: max-content;
		z-index: 3;

		.slot{
			position: relative;
			display: inline-block;
			vertical-align: bottom;

			.droppable-bg{
				position: absolute;
				background-color: @color-droppable-bg;
				width: 100%;
				height: 100%;
			}
		}

		.static-slots{
			display: inline-block;
			vertical-align: bottom;
			margin-left: 25px;
		}
	}

	.slot{
		cursor: pointer;
		width: 75px;
		height: 75px;

		&.slot-small{
			width: 50px;
			height: 50px;
		}
	}

	.item-view{
		img{
			width: 100%;
		}

		.item-quantity{
			position: absolute;
			right: 0;
			bottom: 0;
			padding: inherit;
			text-shadow: 0 0 3px black;
			font-size: 20px;
			pointer-events: none;
		}

		&.ui-draggable-dragging{
			z-index: 10;
		}
	}

	.panel{
		position: relative;
		padding: 20px 24px 28px;

		&.panel-small, &.slot-small{
			padding: 10px 12px 14px;
			font-size: 16px;
		}

		>:not(.panel-background){
			position: relative;
			left: 0;
			top: 0;
			width: 100%;
			height: 100%;
		}
	}

	.circle-btn{
		width: 40px;
    height: 40px;
    background-image: url("@{assets}/GUI/backgroundCircle/circle.png");
    background-size: contain;
    background-repeat: no-repeat;
    border-radius: 50%;
    background-position-x: right;
    cursor: pointer;
    padding: 20px;
    padding-bottom: 25px;

		img {
			width: 100%;
			height: auto;
		}

		&.selected{
			background-image: url("@{assets}/GUI/backgroundCircle/circle_selected.png");
		}

		// &.small{
		// 	width: 20px;
		// 	height: 20px;
		// }
	}

	.btn-close{
		background-image: url("@{assets}/GUI/close_button.png");
	}

	.modal-container{
		position: absolute;
		width: 100%;
		height: 100%;
		top: 0;
		left: 0;
		z-index: 200;

		&.hidden .modal{
			top: 101%;
			opacity: 0;
			transform: translateX(-50%);
		}

		.modal-background{
			position: relative;
			width: 100%;
			height: 100%;
			top: 0;
			left: 0;
		}
		&:not(.hidden) .modal-background{
			pointer-events: all;
		}

		.modal{
			width: 700px;
			min-height: 200px;
			position: absolute;
			left: 50%;
			top: 50%;
			transform: translate(-50%, -50%);
			transition: 0.5s;
			z-index: 10;

			.modal-close{
				position: absolute;
				top: 0;
				right: 0;
			}

			.item-header{
				width: calc(100% - 50px);

				.item-base-info{
					padding-left: 10px;
				}

				.item-icon-slot, .item-base-info{
					display: inline-block;
				}
			}

			.item-details{
				display: none;
				padding: 20px;

				&>div {
					margin-bottom: 10px;
				}

				h2{
					text-align: center;
				}
			}

			.modal-buttons{
				text-align: center;
			}
		}
	}

	.actions-modal.modal-container{
		pointer-events: none;
		*{
			pointer-events: all;
		}

		.modal{
			width: auto;
			min-height: 0;
			transition: opacity 0.2s;
			transform: translate(-50%, -50%);
		}

		&.hidden .modal{
			top: 0;
		}

		.modal-buttons .panel{
			display: block;
		}

		.btn-close{
			position: absolute;
			top: -15px;
			right: -30px;
			z-index: -1;
			width: 25px;
			height: 25px;
			padding: 0;
		}
	}


	.disabled{
		opacity : 0.5;
		pointer-events: none;
	}
}